LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

OfxStatementData Struct Reference

An abstraction of an account statement. More...

## Data Fields
OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
char | currency [OFX_CURRENCY_LENGTH]
int | currency_valid
char | account_id [OFX_ACCOUNT_ID_LENGTH]
struct OfxAccountData * | account_ptr
int | account_id_valid
double | ledger_balance
int | ledger_balance_valid
time_t | ledger_balance_date
int | ledger_balance_date_valid
OFX optional elements
The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data.
double | available_balance
int | available_balance_valid
time_t | available_balance_date
int | available_balance_date_valid
time_t | date_start
int | date_start_valid
time_t | date_end
int | date_end_valid
char | marketing_info [OFX_MARKETING_INFO_LENGTH]
int | marketing_info_valid

## Detailed Description

An abstraction of an account statement.

The OfxStatementData structure contains information about your account at the time the ofx response was generated, including the balance. A client should check that the total of his recorded transactions matches the total given here, and warn the user if they dont.

Definition at line 636 of file inc/libofx.h.

## Field Documentation

char OfxStatementData::account_id

Use this for matching this statement with the relevant account in your application

Definition at line 649 of file inc/libofx.h.

struct OfxAccountData * OfxStatementData::account_ptr

Pointer to the full account structure, see OfxAccountData

Definition at line 651 of file inc/libofx.h.

double OfxStatementData::available_balance

Amount of money available from the account. Could be the credit left for a credit card, or amount that can be withdrawn using INTERAC)

Definition at line 668 of file inc/libofx.h.

int OfxStatementData::available_balance_date_valid

Time of the available_balance snapshot

Definition at line 674 of file inc/libofx.h.

char OfxStatementData::currency

The currency is a string in ISO-4217 format

Definition at line 646 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute().

time_t OfxStatementData::date_end

The end time of this statement.

If provided, the user can use this date as the start date of his next statement request. He is then assured not to miss any transactions.

Definition at line 687 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute().

time_t OfxStatementData::date_start

The start time of this statement.

All the transactions between date_start and date_end should have been provided

Definition at line 680 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute().

double OfxStatementData::ledger_balance

The actual balance, according to the FI. The user should be warned of any discrepency between this and the balance in the application

Definition at line 657 of file inc/libofx.h.

time_t OfxStatementData::ledger_balance_date

Time of the ledger_balance snapshot

Definition at line 660 of file inc/libofx.h.

char OfxStatementData::marketing_info

marketing_info could be special offers or messages from the bank, or just about anything else

Definition at line 692 of file inc/libofx.h.

Referenced by OfxStatementContainer::add_attribute().

The documentation for this struct was generated from the following file:

- inc/libofx.h